Skip to main content
PUT
Change a Model API collaborator's role

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

modelApiId
string
required

Model API id (24-character hex). Obtain from GET /api/modelServing/v1/modelApis or the Model API details URL.

collaboratorId
string
required

Domino user or organization id (24-character hex). Must match body.id. Copy id from GET /api/modelServing/beta/modelApis/{modelApiId}/collaborators.

Body

application/json
id
string
required

Domino user or organization id.

isOrganization
boolean
required

Whether id identifies an organization.

role
string
required

Collaborator role. Management APIs accept Owner, Editor, and Viewer.

Response

The updated collaborator.

id
string
required

Domino user or organization id.

isOrganization
boolean
required

Whether id identifies an organization.

role
string
required

Collaborator role. Management APIs accept Owner, Editor, and Viewer.

Last modified on September 3, 2026